In case you missed it: jQuery is the preferred javascript library for 2.9 over YUI

2555

jqnmdleOne bit of the press release announcing Moodle 2.9 included a quick note about the discontinuation of YUI by Yahoo and what Moodle will do to eventually fill the gulf. This has been a major debate in the Moodle.org forums since the announcement that YUI would no longer be actively developed. You can read the lively discussion history here: https://moodle.org/mod/forum/discuss.php?d=268190

WIRIS

According to the press release,

For developers of plugins and customisations, Moodle 2.9 now supports the use of Javascript Modules and jQuery and this is recommended for all new javascript. This change is a response to the discontinued development of the Yahoo User Interface (YUI) library announced in 2014 by Yahoo Engineering. jQuery offers Moodle developers a large library to seamlessly handle cross browser issues.

Read more at the links below: